Forum general error

Submitted by Anonymous on Wed, 08/22/2012 - 23:44
Written by
Trouble115

Can anyone give a rookie any advise or help?
I get this error trying to go to forum:

Deprecated: Function set_magic_quotes_runtime() is deprecated in /home/content/Y/a/m/Yamaha115/html/MAFIABB/sources/common.php on line 63
UseBB General Error

An error was encountered. We apologize for any inconvenience.

In file sources/session.php on line 104:

E_WARNING - session_start() [function.session-start]: Cannot send session cookie - headers already sent by (output started at sources/common.php:63)

This is the first error I've ever encountered. This rookie doesn't know what to do!
Thanks for your help!

magic_quotes_runtime is no longer used since 1.0.12. Please upgrade to the newest version.

No support is or can be given on outdated versions.

Trouble115

Mon, 08/27/2012 - 17:14

Thanks, Deitrich!
For a rookie, how is the easiest/best way to upgrade to new 1.0.15?

When no changes were made to the code, you can just overwrite the files with those from the complete package. Otherwise, you would need to download 1.0.x.diff up to 1.0.15.diff and apply those in order.

Trouble115

Tue, 08/28/2012 - 16:52

So if I overwrite files with complete package, will my user database stay intact? Can I create an entirely new BB on my site with new name and import data from previous BB?

Sorry if my questions are out of line. Just not really confident enough to tackle project at this point.

Just trying to understand more of what I'm doing before I destroy something.

Thanks for your help!

The database stays the same, by overwriting the files you are not overwriting the database.

You should however keep config.php, or recreate it if you wish. Also see docs/index.html for upgrade instructions.

Trouble115

Wed, 08/29/2012 - 01:23

Please forgive me. I can't seem to understand the process to upgrade, or install.
I'm not following the "installation wizard" in my web browser.
I believe that I have all files copied to correct destination.
I suppose that I'm stumped on the actual "process trigger" that initiates the upgrade process.

I may be in over my head trying to do this myself.

Thanks again for your help and understanding!

There is no need to run the installer; this is not a new set-up.

You just overwrite all files (except config.php) with those from the latest release.

Trouble115

Thu, 08/30/2012 - 03:03

I understand more now. So, if I'm getting the same error, my host may need to do a restart/reset to get the changes to take place.? Is there a file or two that I could check the date on that will tell me that I've updated the correct ones?
I thought about even doing a complete new forum. In that case I would need to run the installer. That part I still do not understand.

Thanks for the help!
Dietrich, you definitely know your stuff!

The error occurs with old UseBB code which was removed more than 1.5 years ago. So using the latest release you should not get the error from the first post. There is no need to do a (server) restart, unless your host would be using some caching stuff for PHP that I don't know yet.

Checking the date on files would take some time, you will need to compare all of them with the ones from the latest release package.

To create a new forum you would first need to remove the existing database tables, or use a different database or table prefix.

Trouble115

Thu, 08/30/2012 - 17:47

Could I have messed up the index.php file? Maybe have overwritten it or something during update?
My file seems generic. I'm not sure if that is correct or not.
Here it is. Please take a look at it. I may need to get someone more experienced to do what I'm trying to accomplish.

<?php

/*
Copyright (C) 2003-2007 UseBB Team
http://www.usebb.net

$Header: /cvsroot/usebb/UseBB/index.php,v 1.76 2007/01/01 11:58:39 pc_freak Exp $

-snip-

From what I see that file is an old one, since it says "Copyright (C) 2003-2007" and it still contains an old CVS Header keyword.

Did you update all PHP files? You need to download the recent full package and overwrite all your existing files with the new ones.

Trouble115

Fri, 11/09/2012 - 19:04

OK. I'm back on this mission again.
I am creating a whole new forum(I think).
I have created new database with variables set for connecting to this database.
I do not know how to to complete the following:

//These variable values need to be changed by you before deploying.

$password = "your password" DONE
$usertable = "your_table name" DO NOT KNOW WHERE TO GET VALUE
$yourfield = "your_field" DO NOT KNOW WHERE TO GET VALUE

I don't know where to get usertable or yourfield info. I have looked at my old config, but new file has different coding.

Thanks for your help!

Those variables are nowhere in the UseBB 1 code.

So you are using something else, a fork, modification, etc, but not the official package.

Hi Dietrich,
Hi all Others,

After deleting some new (Spam) Members i get the following Error on the startpage

In file sources/functions.php on line 2525:
E_USER_ERROR - User ID 67 has a level of which is not possible within UseBB.

The other pages working fine. Currently I have the user IDs 1 to 57
the IDs 58 to 103 are deletet, the last active User is the 104
all above i have deletet to and set the AUTO_INCREMENT to 105

maybe you/someone can help me?

Thanks, dirk